Index: agg24/include/agg_rasterizer_cells_aa.h
===================================================================
--- agg24/include/agg_rasterizer_cells_aa.h     (revision 8453)
+++ agg24/include/agg_rasterizer_cells_aa.h     (working copy)
@@ -29,16 +29,15 @@
 #ifndef AGG_RASTERIZER_CELLS_AA_INCLUDED
 #define AGG_RASTERIZER_CELLS_AA_INCLUDED

+#include "CXX/Exception.hxx"
 #include <exception>
 #include <string.h>
 #include <math.h>
 #include "agg_math.h"
 #include "agg_array.h"

-
 namespace agg
 {
-
     //-----------------------------------------------------rasterizer_cells_aa
     // An internal class that implements the main rasterization algorithm.
     // Used in the rasterizer. Should not be used direcly.
@@ -185,10 +184,13 @@
             if((m_num_cells & cell_block_mask) == 0)
             {
                 if(m_num_blocks >= cell_block_limit) {
+                    static Py::Exception e(
+                        Py::OverflowError(
+                            "Agg rendering complexity exceeded. Consider downsampling or decimating your data."));
+
                     /* If this exception is thrown too often, one can
                        increase cell_block_limit */
-                    throw "Agg rendering complexity exceeded. "
-                        "Consider downsampling or decimating your data.";
+                    throw e;
                 }
                 allocate_block();
             }
